Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2
Class ValidationAwareSupport

    java.lang.Object
      com.opensymphony.xwork2.ValidationAwareSupport

All Implemented Interfaces:
  ValidationAware, Serializable

    public class ValidationAwareSupport

extends Object
implements ValidationAware, Serializable

Provides a default implementation of ValidationAware. Returns new collections for errors and messages (defensive copy).

Version:
  $Date: 2006-07-10 02:30:29 +0200 (Mo, 10 Jul 2006) $ $Id: ValidationAwareSupport.java 1063 2006-07-10 00:30:29Z mrdon $
Author:
  Jason Carreira, tm_jee
See Also:
  Serialized Form

Field Summary
`private Collection` | `actionErrors`
`private Collection` | `actionMessages`
`private Map` | `fieldErrors`

Constructor Summary
`ValidationAwareSupport()`

Method Summary
`void` | `addActionError(String anErrorMessage)` Add an Action-level error message to this Action.
`void` | `addActionMessage(String aMessage)` Add an Action-level message to this Action.
`void` | `addFieldError(String fieldName, String errorMessage)` Add an error message for a given field.
`void` | `clearErrorsAndMessages()` Clears all error and messages list/maps.
`Collection` | `getActionErrors()` Get the Collection of Action-level error messages for this action.
`Collection` | `getActionMessages()` Get the Collection of Action-level messages for this action.
`Map` | `getFieldErrors()` Get the field specific errors associated with this action.
`boolean` | `hasActionErrors()` Check whether there are any Action-level error messages.
`boolean` | `hasActionMessages()` Checks whether there are any Action-level messages.
`boolean` | `hasErrors()` Note that this does not have the same meaning as in WW 1.x.
`boolean` | `hasFieldErrors()` Check whether there are any field errors associated with this action.
`private Collection` | `internalGetActionErrors()`
`private Collection` | `internalGetActionMessages()`
`private Map` | `internalGetFieldErrors()`
`void` | `setActionErrors(Collection errorMessages)` Set the Collection of Action-level String error messages.
`void` | `setActionMessages(Collection messages)` Set the Collection of Action-level String messages (not errors).
`void` | `setFieldErrors(Map errorMap)` Set the field error map of fieldname (String) to Collection of String error messages.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### actionErrors

    private Collection actionErrors

### actionMessages

    private Collection actionMessages

### fieldErrors

    private Map fieldErrors

Constructor Detail

### ValidationAwareSupport

    public ValidationAwareSupport()

Method Detail

### setActionErrors

    public void setActionErrors(Collection errorMessages)

  Description copied from interface: `ValidationAware`
  Set the Collection of Action-level String error messages.

  Specified by:
    `setActionErrors` in interface `ValidationAware`

### getActionErrors

    public Collection getActionErrors()

  Description copied from interface: `ValidationAware`
  Get the Collection of Action-level error messages for this action. Error messages should not be added directly here, as implementations are free to return a new Collection or an Unmodifiable Collection.

  Specified by:
    `getActionErrors` in interface `ValidationAware`
  Returns:
    Collection of String error messages

### setActionMessages

    public void setActionMessages(Collection messages)

  Description copied from interface: `ValidationAware`
  Set the Collection of Action-level String messages (not errors).

  Specified by:
    `setActionMessages` in interface `ValidationAware`

### getActionMessages

    public Collection getActionMessages()

  Description copied from interface: `ValidationAware`
  Get the Collection of Action-level messages for this action. Messages should not be added directly here, as implementations are free to return a new Collection or an Unmodifiable Collection.

  Specified by:
    `getActionMessages` in interface `ValidationAware`
  Returns:
    Collection of String messages

### setFieldErrors

    public void setFieldErrors(Map errorMap)

  Description copied from interface: `ValidationAware`
  Set the field error map of fieldname (String) to Collection of String error messages.

  Specified by:
    `setFieldErrors` in interface `ValidationAware`

### getFieldErrors

    public Map getFieldErrors()

  Description copied from interface: `ValidationAware`
  Get the field specific errors associated with this action. Error messages should not be added directly here, as implementations are free to return a new Collection or an Unmodifiable Collection.

  Specified by:
    `getFieldErrors` in interface `ValidationAware`
  Returns:
    Map with errors mapped from fieldname (String) to Collection of String error messages

### addActionError

    public void addActionError(String anErrorMessage)

  Description copied from interface: `ValidationAware`
  Add an Action-level error message to this Action.

  Specified by:
    `addActionError` in interface `ValidationAware`

### addActionMessage

    public void addActionMessage(String aMessage)

  Description copied from interface: `ValidationAware`
  Add an Action-level message to this Action.

  Specified by:
    `addActionMessage` in interface `ValidationAware`

### addFieldError

    public void addFieldError(String fieldName,
                              String errorMessage)

  Description copied from interface: `ValidationAware`
  Add an error message for a given field.

  Specified by:
    `addFieldError` in interface `ValidationAware`
  Parameters:
    `fieldName` - name of field
    `errorMessage` - the error message

### hasActionErrors

    public boolean hasActionErrors()

  Description copied from interface: `ValidationAware`
  Check whether there are any Action-level error messages.

  Specified by:
    `hasActionErrors` in interface `ValidationAware`
  Returns:
    true if any Action-level error messages have been registered

### hasActionMessages

    public boolean hasActionMessages()

  Description copied from interface: `ValidationAware`
  Checks whether there are any Action-level messages.

  Specified by:
    `hasActionMessages` in interface `ValidationAware`
  Returns:
    true if any Action-level messages have been registered

### hasErrors

    public boolean hasErrors()

  Description copied from interface: `ValidationAware`
  Note that this does not have the same meaning as in WW 1.x.

  Specified by:
    `hasErrors` in interface `ValidationAware`
  Returns:
    (hasActionErrors() || hasFieldErrors())

### hasFieldErrors

    public boolean hasFieldErrors()

  Description copied from interface: `ValidationAware`
  Check whether there are any field errors associated with this action.

  Specified by:
    `hasFieldErrors` in interface `ValidationAware`
  Returns:
    whether there are any field errors

### internalGetActionErrors

    private Collection internalGetActionErrors()

### internalGetActionMessages

    private Collection internalGetActionMessages()

### internalGetFieldErrors

    private Map internalGetFieldErrors()

### clearErrorsAndMessages

    public void clearErrorsAndMessages()

  Clears all error and messages list/maps.

  Will clear the maps/lists that contain field errors, action errors and action messages.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.